<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Tooltips Package (Tooltip and Popover Components)

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

The [Kendo UI for Angular Tooltips](https://www.telerik.com/kendo-angular-ui/components/tooltips/) package contains two components, the Angular Tooltip and the Angular Popover. They both render popups with information related to UI elements and can be displayed when the element is focused or hovered over (or clicked in the Popover case). With tons of configuration options, they allow building custom tooltips in Angular.

## What's Included in the Angular Tooltips Package

* [Angular Tooltip Component](https://www.telerik.com/kendo-angular-ui/components/tooltips/tooltip/)&mdash;Renders a customizable tooltip that can be used stand alone of with other Kendo UI for Angular components.

<img src="https://d585tldpucybw.cloudfront.net/sfimages/default-source/component-pages/angular/angular-tooltip-overview.jpg" alt="Component for creating custom tooltips in Angular">

* [Angular Popover Component](https://www.telerik.com/kendo-angular-ui/components/tooltips/popover/)&mdash;It is nearly identical to the Angular Tooltip component, except it is designed to display richer content and it can be opened via click. For example, it is possible to host a calendar or a grid in the Popover while the Tooltop is designed mostly for text.

<img src="https://d585tldpucybw.cloudfront.net/sfimages/default-source/component-pages/common/popover/popover_component_overview.jpg" alt="Angular Popover Example">

## Key Features

Among the many features which the Kendo UI for Angular Tooltips deliver are:

* [Anchor Elements](https://www.telerik.com/kendo-angular-ui/components/tooltips/tooltip/anchor-elements/)&mdash;Specify which elements (anchors) will render the popup element.
* [Programmatic Control](https://www.telerik.com/kendo-angular-ui/components/tooltips/tooltip/opening/)&mdash;The Tooltips provide options for consuming the components' API programmatically.
* [Closable](https://www.telerik.com/kendo-angular-ui/components/tooltips/tooltip/closable-tooltip/)&mdash;Optionally add a close button.
* [Positioning](https://www.telerik.com/kendo-angular-ui/components/tooltips/popover/positioning/)&mdash;Choose the position on the screen that the Tooltips appear.
* [Templates](https://www.telerik.com/kendo-angular-ui/components/tooltips/popover/templates/)&mdash;Provide your own layout and style templates for the Tooltips content.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/tooltips/popover/accessibility/)&mdash;The Tooltips are accessible for screen readers and supports WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/tooltips/popover/keyboard-navigation/)&mdash;The Tooltips support a number of keyboard shortcuts which allows users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Tooltips, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Tooltips](https://www.telerik.com/kendo-angular-ui/components/tooltips/installation/getting-started)
* [Tooltips Overview page](https://www.telerik.com/kendo-angular-ui/components/tooltips) and [Tooltips API reference](https://www.telerik.com/kendo-angular-ui/components/tooltips/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Kendo UI for Angular Blog](https://www.telerik.com/blogs/tag/kendo-ui-for-angular)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
