/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizedMessagesDirective } from "./localization/localized-messages.directive";
import { PopoverAnchorDirective } from "./popover/anchor.directive";
import { PopoverContainerDirective } from "./popover/container.directive";
import { PopoverComponent } from "./popover/popover.component";
import { PopoverActionsTemplateDirective } from "./popover/template-directives/actions-template.directive";
import { PopoverBodyTemplateDirective } from "./popover/template-directives/body-template.directive";
import { PopoverTitleTemplateDirective } from "./popover/template-directives/title-template.directive";
import { TooltipContentComponent } from "./tooltip/tooltip.content.component";
import { TooltipDirective } from "./tooltip/tooltip.directive";
/**
 * Utility array that contains all `Tooltip` related components and directives
 */
export declare const KENDO_TOOLTIP: readonly [typeof TooltipDirective, typeof TooltipContentComponent, typeof LocalizedMessagesDirective];
/**
 * Utility array that contains all `Popover` related components and directives
 */
export declare const KENDO_POPOVER: readonly [typeof PopoverComponent, typeof PopoverActionsTemplateDirective, typeof PopoverBodyTemplateDirective, typeof PopoverTitleTemplateDirective, typeof PopoverAnchorDirective, typeof PopoverContainerDirective];
/**
 * Utility array that contains all `@progress/kendo-angular-tooltip` related components and directives
 */
export declare const KENDO_TOOLTIPS: readonly [typeof TooltipDirective, typeof TooltipContentComponent, typeof LocalizedMessagesDirective, typeof PopoverComponent, typeof PopoverActionsTemplateDirective, typeof PopoverBodyTemplateDirective, typeof PopoverTitleTemplateDirective, typeof PopoverAnchorDirective, typeof PopoverContainerDirective];
