/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizedMessagesDirective } from "./localization/localized-messages.directive";
import { PopoverAnchorDirective } from "./popover/anchor.directive";
import { PopoverContainerDirective } from "./popover/container.directive";
import { PopoverComponent } from "./popover/popover.component";
import { PopoverActionsTemplateDirective } from "./popover/template-directives/actions-template.directive";
import { PopoverBodyTemplateDirective } from "./popover/template-directives/body-template.directive";
import { PopoverTitleTemplateDirective } from "./popover/template-directives/title-template.directive";
import { TooltipContentComponent } from "./tooltip/tooltip.content.component";
import { TooltipDirective } from "./tooltip/tooltip.directive";
/**
 * Utility array that contains all `Tooltip` related components and directives
 */
export const KENDO_TOOLTIP = [
    TooltipDirective,
    TooltipContentComponent,
    LocalizedMessagesDirective
];
/**
 * Utility array that contains all `Popover` related components and directives
 */
export const KENDO_POPOVER = [
    PopoverComponent,
    PopoverActionsTemplateDirective,
    PopoverBodyTemplateDirective,
    PopoverTitleTemplateDirective,
    PopoverAnchorDirective,
    PopoverContainerDirective
];
/**
 * Utility array that contains all `@progress/kendo-angular-tooltip` related components and directives
 */
export const KENDO_TOOLTIPS = [
    ...KENDO_TOOLTIP,
    ...KENDO_POPOVER
];
