/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PopoverComponent } from "../popover/popover.component";
/**
 * Represents a callback that is used by the [popover]({% slug api_tooltip_popoveranchordirective %}#toc-popover) property.
 * It returns the popover instance to be displayed.
 * ([see example]({% slug configuration_popover %}#toc-popover-callback))
 */
export type PopoverFn = (anchor: Element) => PopoverComponent;
/**
 * Represents the callback that is used by the [`templateData`]({% slug api_tooltip_popovercomponent %}#toc-templateData) property.
 * It returns the custom data that will be passed to the popover templates.
 * ([see example]({% slug templates_popover %}#toc-passing-data-to-templates))
 */
export type PopoverDataFn = (anchor: Element) => any;
