/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the position of the Tooltip or Popover in relation to the anchor element.
 *
 * The available options are:
 * - `top` (default)&mdash;Aligns the tooltip above the `anchor` element.
 * - `bottom`&mdash;Aligns the tooltip below the `anchor` element.
 * - `right`&mdash;Aligns the tooltip with the rightmost point of the `anchor` element.
 * - `left`&mdash;Aligns the tooltip with the leftmost point of the `anchor` element.
 */
export type Position = 'top' | 'bottom' | 'right' | 'left';
