/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./popover/popover.component";
import * as i2 from "./popover/template-directives/actions-template.directive";
import * as i3 from "./popover/template-directives/body-template.directive";
import * as i4 from "./popover/template-directives/title-template.directive";
import * as i5 from "./popover/anchor.directive";
import * as i6 from "./popover/container.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Popover component.
 *
 * @example
 *
 * ```ts-no-run
 * import { PopoverModule } from '@progress/kendo-angular-tooltip';
 *
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { NgModule } from '@angular/core';
 *
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, PopoverModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class PopoverModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PopoverModule, never, [typeof i1.PopoverComponent, typeof i2.PopoverActionsTemplateDirective, typeof i3.PopoverBodyTemplateDirective, typeof i4.PopoverTitleTemplateDirective, typeof i5.PopoverAnchorDirective, typeof i6.PopoverContainerDirective], [typeof i1.PopoverComponent, typeof i2.PopoverActionsTemplateDirective, typeof i3.PopoverBodyTemplateDirective, typeof i4.PopoverTitleTemplateDirective, typeof i5.PopoverAnchorDirective, typeof i6.PopoverContainerDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PopoverModule>;
}
