/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgZone, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class PopoverService implements OnDestroy {
    private ngZone;
    private _pointerOverPopup;
    private _pointerOverAnchor;
    private _focusInsidePopover;
    private _hidePopover;
    private _isOrigin;
    private originAnchor;
    private currentAnchor;
    private subs;
    constructor(ngZone: NgZone);
    ngOnDestroy(): void;
    get isPopoverHovered(): Observable<any>;
    emitPopoverState(isHovered: boolean): void;
    get isAnchorHovered(): Observable<any>;
    emitAnchorState(isHovered: boolean, anchor: any): void;
    get isFocusInsidePopover(): Observable<any>;
    emitFocusInsidePopover(isFocused: boolean): void;
    get hidePopover(): Observable<any>;
    monitor(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PopoverService>;
}
