/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, TemplateRef, EventEmitter } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Position } from '../models/position.type';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TooltipContentComponent {
    private content;
    private localizationService;
    /**
     * @hidden
     */
    xIcon: SVGIcon;
    /**
     * @hidden
     */
    direction: string;
    close: EventEmitter<any>;
    get cssClasses(): string;
    hostRole: string;
    get hostId(): string;
    get className(): boolean;
    get cssPosition(): string;
    tooltipWidth: number;
    tooltipHeight: number;
    titleTemplate?: TemplateRef<any>;
    anchor: ElementRef;
    closable: boolean;
    templateRef?: TemplateRef<any>;
    templateString?: string;
    closeTitle: string;
    callout: boolean;
    position: string;
    /**
     * @hidden
     */
    tooltipId: string;
    private dynamicRTLSubscription;
    constructor(content: ElementRef, localizationService: LocalizationService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    get closeButtonTitle(): string;
    calloutPositionClass(): string;
    onCloseClick(event: any): void;
    updateCalloutPosition(position: Position, isFlip: boolean): void;
    private calloutStyles;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipContentComponent, "kendo-tooltip", never, { "tooltipWidth": { "alias": "tooltipWidth"; "required": false; }; "tooltipHeight": { "alias": "tooltipHeight"; "required": false; }; "titleTemplate": { "alias": "titleTemplate"; "required": false; }; "anchor": { "alias": "anchor"; "required": false; }; "closable": { "alias": "closable"; "required": false; }; "templateRef": { "alias": "templateRef"; "required": false; }; "templateString": { "alias": "templateString"; "required": false; }; }, { "close": "close"; }, never, never, true, never>;
}
