/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./tooltip/tooltip.directive";
import * as i2 from "./tooltip/tooltip.content.component";
import * as i3 from "./localization/localized-messages.directive";
import * as i4 from "./popover/popover.component";
import * as i5 from "./popover/template-directives/actions-template.directive";
import * as i6 from "./popover/template-directives/body-template.directive";
import * as i7 from "./popover/template-directives/title-template.directive";
import * as i8 from "./popover/anchor.directive";
import * as i9 from "./popover/container.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Tooltips components.
 *
 * @example
 *
 * ```ts-no-run
 * import { TooltipsModule } from '@progress/kendo-angular-tooltip';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * _@NgModule{{
 *    declarations: [AppComponent], // declare app component
 *    imports:      [BrowserModule, TooltipsModule], // import TooltipsModule module
 *    bootstrap:    [AppComponent]
 * }}
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 * ```
 */
export declare class TooltipsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TooltipsModule, never, [typeof i1.TooltipDirective, typeof i2.TooltipContentComponent, typeof i3.LocalizedMessagesDirective, typeof i4.PopoverComponent, typeof i5.PopoverActionsTemplateDirective, typeof i6.PopoverBodyTemplateDirective, typeof i7.PopoverTitleTemplateDirective, typeof i8.PopoverAnchorDirective, typeof i9.PopoverContainerDirective], [typeof i1.TooltipDirective, typeof i2.TooltipContentComponent, typeof i3.LocalizedMessagesDirective, typeof i4.PopoverComponent, typeof i5.PopoverActionsTemplateDirective, typeof i6.PopoverBodyTemplateDirective, typeof i7.PopoverTitleTemplateDirective, typeof i8.PopoverAnchorDirective, typeof i9.PopoverContainerDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TooltipsModule>;
}
